Bug 1420123 - Errors in MiqQueue.format_full_log_msg
Summary: Errors in MiqQueue.format_full_log_msg
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: cfme-future
Assignee: Gregg Tanzillo
QA Contact: Dave Johnson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-07 22:13 UTC by Saif Ali
Modified: 2020-03-11 15:45 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 17:52:29 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Saif Ali 2017-02-07 22:13:49 UTC
Description of problem:
We recently upgraded from CloudForms 3.2 to 4.2. In the log files, we see error messages like these:

[----] E, [2017-02-06T14:31:22.158779 #23242:633134] ERROR -- : MIQ(MiqPriorityWorker::Runner) ID [99000000062958] PID [23242] GUID [fa486800-ecbb-11e6-b4e7-00505693b910] An
 error has occurred during work processing: undefined method `id' for nil:NilClass
/var/www/miq/vmdb/app/models/miq_queue.rb:469:in `format_full_log_msg'
/var/www/miq/vmdb/app/models/miq_queue.rb:184:in `get'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:74:in `block in get_message_via_sql'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:73:in `loop'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:73:in `get_message_via_sql'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:89:in `get_message'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:150:in `block in do_work'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:146:in `loop'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:146:in `do_work'

Version-Release number of selected component (if applicable):
5.7.0.17

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:


Note You need to log in before you can comment on or make changes to this bug.